/* color scheme:
    sky, light blue: #CAEBF2
    carbon, gray: #A9A9A9
    watermelon, red: #FF3B3F
    neutral, off-white: #EFEFEF
 */


body {
  font-family: 'Alegreya+Sans', serif;
  font-weight: normal;  
  font-size: 12pt;
  margin-left: 1em;
  margin-right: 1em;
  /* line-height: 2.6ex; */   /* TeX and LaTeX cause uneven line spacing */
  line-height: 122%;
}
p {
  margin-bottom: 1em;
}

#next_lesson {
}

#lion {
  width: 100%;
  padding-left: 2px;
  padding-bottom: 2px;
}
#lion_pic {
  height: 22ex;
  float: left;
  margin-right: 1em;
  margin-bottom: 2ex;
  background: red;
}
.clearfix:after {
  content: "";
  display: table;
  clear: both;
}
clear {
  clear: both;
}


#account_maintenance {
  text-align: right;
}
span.account_maintenance_entry {
  color: blue;
  margin-left: 1em;
}

#header {
  margin-top: 3em;
  text-align: center;
}
#header_head {
  font-family: 'Alegreya+Sans', sans-serif;
  font-weight: normal;  
  font-size: 26pt;
  /* text-shadow: 2px 2px 2px #aaa; */
}
#header_subhead {
  font-family: 'Alegreya+Sans', sans-serif;
  font-weight: normal; 
  font-size: 20pt;
  margin-top: 2ex; 
}

h2 {
  display: block;
  font-family: 'Alegreya+Sans', sans-serif;
  font-weight: normal; 
  font-size: 18pt;
  margin-top: 4ex; 
  margin-bottom: 0.5ex; 
}
h3 {
  display: block;
  font-family: 'Alegreya+Sans', sans-serif;
  font-weight: normal; 
  font-size: 16pt;
  margin-top: 2ex; 
  margin-bottom: 0.35ex; 
}
h4 {
  display: block;
  font-family: 'Alegreya-Sans', sans-serif;
  font-size: 14pt;
  font-weight: normal; 
  margin-top: 1ex; 
  margin-bottom: 0.2ex; 
}

#firsthead {
  margin-top: 5ex;
  clear: both;
}

#information {
  background: #FFFAA0;
  color: #FF3B3F;
}

#content{
  margin-top: 4em;
}
     
#lesson_docs {
  font-size: medium;
  font-weight: normal;
  margin-bottom: 1ex;
}

table.center {    
  margin: 0px auto;            
  }
#lesson_choices {
  font-size: medium;
  font-weight: normal;
  margin-bottom: 1ex;
  margin-top: 1ex;
  background: #FFFAA0;
}
#lesson_choices th {
  font-weight: normal;
  font-style: italic;
  padding-left: 2em;
  padding-right: 2em;
  border-bottom: 1px solid #ddd;
}
#lesson_choices td {
  font-weight: normal;
  padding-left: 0.618em;
  padding-right: 0.618em;
}

#lesson_files {
  float: right;
  width: 25%;
  font-size: smaller;
  background: #FFFAA0;
  padding-left: 0.4em; 
  border: 1px solid #CCC;
}

#lesson_files ul {
  margin-top: 0ex;
  list-style-position: inside;
  padding-left: 0em;
}

#lesson_body {
  margin-right: 27%;
}

#answerwrapper {
  min-width: 4in; 
  min-height: 20px;
  /* background-color: #FFFAA0; */
}

#answerwrapper, #div1, #div2, #div3, #div4, #div5 {
  border: 1px solid #CCC;
  background-color: #FFFAA0;
  color: #D3452F;
}

.form_tag{
  text-align: right;
}
.form_comment{
  color: #A9A9A9;
}

/* #required_input { */
/*   border: 2px #A9A9A9; */
/*   background-color: #CAEBF2; */
/*   color: black; */
/* } */

#errors {
  border: 2px #A9A9A9 solid;
  background-color: #FFFAA0;
  color: #FF3B3F;
  padding: 2px;
  margin-top: 2px;
}
#error-announcement {
  font-weight: bold;   
  margin-top: 1ex; 
}
code {
  /* background-color: #CAEBF2; */
}


#required_input {
  background-color: #CAEBF2; 
}

#output_graphic {
  display: inline-block;
  float: left;
  width: 50%;
  padding-left: 0.4em; 
  margin-bottom: 3ex;
  border: 1px solid #CCC;
}

p.name {
  text-align: center; 
  font-size: larger;
  font-weight: bold;
}


#footer_separator {
  margin-top: 1.5ex;
  clear: both;
}

#footer {
  display: inline-block;
  margin-top: 1ex;
  font-size: 10pt;
  /* line-height: 16pt; */
  line-height: 110%;
}

#tuglogo {
  float: left;
  margin-left: 0em;
  margin-right: 1em;
  height: auto; 
  width: auto; 
  max-width: 4em; 
  max-height: 4em;
}


/* From http://edward.oconnor.cx/2007/08/tex-poshlet */
/* Write <span class="tex">T<sub>e</sub>X</span> or  */
/* <span class="latex">L<sup>a</sup>T<sub>e</sub>X</span> */
/* .tex .latex { */
/*   padding-bottom: -0.5ex; */ /* how to prevent uneven line spacing? */
/* } */

.tex sub, .latex sub, .latex sup {
  text-transform: uppercase;line-height: 0;
}

.tex sub, .latex sub {
  vertical-align: -0.5ex;
  margin-left: -0.1667em;
  margin-right: -0.125em;line-height: 0;
}

.tex, .latex, .tex sub, .latex sub {
  font-size: 1em;line-height: 0;
}

.latex sup {
  font-size: 0.85em;
  vertical-align: 0.15em;
  margin-left: -0.36em;
  margin-right: -0.15em;line-height: 0;
}


.container {
  display: inline-block;
  position: relative;
}
.duplicate {
  position: absolute;
  left: 0;
  top: 0;
  color: transparent;
}
.latex {
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}
.tex sub,
.latex sub,
.latex sup {
  text-transform: uppercase;
  line-height: 0;
}
.tex sub,
.latex sub {
  vertical-align: -0.5ex;
  margin-left: -0.1667em;
  margin-right: -0.125em;
  line-height: 0;
}
.tex,
.latex,
.tex sub,
.latex sub {
  font-size: 1em;
  line-height: 0;
}
.latex sup {
  font-size: 0.85em;
  vertical-align: 0.15em;
  margin-left: -0.36em;
  margin-right: -0.15em;
  line-height: 0;
}
